<html>
<head>
<title>OgreBorderPanelOverlayElement.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">OgreBorderPanelOverlayElement.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePanelOverlayElement_8h_source.html">OgrePanelOverlayElement.h</a>&quot;</code><br/>
</div>
<p><a href="OgreBorderPanelOverlayElement_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement.html">Ogre::BorderPanelOverlayElement</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A specialisation of the <a class="el" href="classOgre_1_1PanelOverlayElement.html" title="OverlayElement representing a flat, single-material (or transparent) panel which can contain other el...">PanelOverlayElement</a> to provide a panel with a border.  <a href="classOgre_1_1BorderPanelOverlayElement.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html">Ogre::BorderPanelOverlayElement::CmdBorderSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for specifying border sizes (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html">Ogre::BorderPanelOverlayElement::CmdBorderMaterial</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for specifying the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> for the border (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html">Ogre::BorderPanelOverlayElement::CmdBorderLeftUV</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for specifying texture coordinates for the border (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html">Ogre::BorderPanelOverlayElement::CmdBorderTopUV</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for specifying texture coordinates for the border (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html">Ogre::BorderPanelOverlayElement::CmdBorderRightUV</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for specifying texture coordinates for the border (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html">Ogre::BorderPanelOverlayElement::CmdBorderBottomUV</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for specifying texture coordinates for the border (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html">Ogre::BorderPanelOverlayElement::CmdBorderTopLeftUV</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for specifying texture coordinates for the border (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html">Ogre::BorderPanelOverlayElement::CmdBorderBottomLeftUV</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for specifying texture coordinates for the border (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html">Ogre::BorderPanelOverlayElement::CmdBorderBottomRightUV</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for specifying texture coordinates for the border (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html">Ogre::BorderPanelOverlayElement::CmdBorderTopRightUV</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for specifying texture coordinates for the border (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BorderPanelOverlayElement_1_1CellUV.html">Ogre::BorderPanelOverlayElement::CellUV</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html">Ogre::BorderRenderable</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for rendering the border of a <a class="el" href="classOgre_1_1BorderPanelOverlayElement.html" title="A specialisation of the PanelOverlayElement to provide a panel with a border.">BorderPanelOverlayElement</a>.  <a href="classOgre_1_1BorderRenderable.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
